Loading...
Searching...
No Matches
osmo_i460_schan_desc Struct Reference

description of a sub-channel; passed by caller More...

`#include <i460_mux.h>`

## Data Fields

enum osmo_i460_rate | rate
uint8_t | bit_offset
struct { |
size_t num_bits |
out_cb_bits_t out_cb_bits |
| call-back function called whenever we received num_bits More...
out_cb_bytes_t out_cb_bytes |
| out_cb_bytes call-back function called whenever we received num_bits. More...
void * user_data |
} | demux
struct { |
in_cb_queue_empty_t in_cb_queue_empty |
void * user_data |
} | mux

## Detailed Description

description of a sub-channel; passed by caller

## Field Documentation

## bit_offset

uint8_t osmo_i460_schan_desc::bit_offset

Referenced by osmo_i460_subchan_add().

## [struct]

struct { ... } osmo_i460_schan_desc::demux

Referenced by osmo_i460_subchan_add().

## in_cb_queue_empty

in_cb_queue_empty_t osmo_i460_schan_desc::in_cb_queue_empty

Referenced by osmo_i460_subchan_add().

## [struct]

struct { ... } osmo_i460_schan_desc::mux

Referenced by osmo_i460_subchan_add().

## num_bits

size_t osmo_i460_schan_desc::num_bits

Referenced by osmo_i460_subchan_add().

## out_cb_bits

out_cb_bits_t osmo_i460_schan_desc::out_cb_bits

call-back function called whenever we received num_bits

Referenced by osmo_i460_subchan_add().

## out_cb_bytes

out_cb_bytes_t osmo_i460_schan_desc::out_cb_bytes

out_cb_bytes call-back function called whenever we received num_bits.

The user is usually expected to provide either out_cb_bits or out_cb_bytes. If only out_cb_bits is provided, output data will always be provided as unpacked bits; if only out_cb_bytes is provided, output data will always be provided as packet bits (bytes). If both are provided, it is up to the I.460 multiplex to decide if it calls either of the two, depending on what can be provided without extra conversion.

Referenced by osmo_i460_subchan_add().

## rate

enum osmo_i460_rate osmo_i460_schan_desc::rate

Referenced by osmo_i460_subchan_add().

## user_data

void* osmo_i460_schan_desc::user_data

Referenced by osmo_i460_subchan_add().

The documentation for this struct was generated from the following file:

- include/osmocom/isdn/i460_mux.h